package com.openhis.web.externalintegration.enums;

/**
 * 【BPC】付款人身份证件类型
 *
 * @author Thanking
 * @date 2025-10-16
 */
public enum BpcPayerIdType {

    /**
     * 身份证
     */
    ID_CARD("0", "身份证"),
    /**
     * 护照
     */
    PASSPORT("1", "护照"),
    /**
     * 军官证
     */
    MILITARY_OFFICER_CERT("2", "军官证"),
    /**
     * 士兵证
     */
    SOLDIER_CERT("3", "士兵证"),
    /**
     * 港澳居民来往内地通行证（原名回乡证）
     */
    HOME_RETURN_PERMIT("4", "回乡证"),
    /**
     * 临时身份证
     */
    TEMP_ID_CARD("5", "临时身份证"),
    /**
     * 户口本
     */
    HOUSEHOLD_REGISTER("6", "户口本"),
    /**
     * 其他
     */
    OTHER("7", "其他"),
    /**
     * 警官证
     */
    POLICE_OFFICER_CERT("9", "警官证"),
    /**
     * 识别证
     */
    IDENTIFICATION_CERT("10", "识别证"),
    /**
     * 驾驶执照
     */
    DRIVING_LICENSE("11", "驾驶执照");

    private final String value;
    private final String description;

    BpcPayerIdType(String value, String description) {
        this.value = value;
        this.description = description;
    }

    public String getValue() {
        return value;
    }

    public String getDescription() {
        return description;
    }

    public static BpcPayerIdType getByValue(String value) {
        if (value == null || "".equals(value.trim())) {
            return null;
        }
        for (BpcPayerIdType val : values()) {
            if (val.getValue().equals(value)) {
                return val;
            }
        }
        return null;
    }
}
